<?php
// +----------------------------------------------------------------------+
// | Anuko Time Tracker
// +----------------------------------------------------------------------+
// | Copyright (c) Anuko International Ltd. (http://www.anuko.com)
// +----------------------------------------------------------------------+
// | LIBERAL FREEWARE LICENSE: This source code document may be used
// | by anyone for any purpose, and freely redistributed alone or in
// | combination with other software, provided that the license is obeyed.
// |
// | There are only two ways to violate the license:
// |
// | 1. To redistribute this code in source form, with the copyright
// |    notice or license removed or altered. (Distributing in compiled
// |    forms without embedded copyright notices is permitted).
// |
// | 2. To redistribute modified versions of this code in *any* form
// |    that bears insufficient indications that the modifications are
// |    not the work of the original author(s).
// |
// | This license applies to this document only, not any other software
// | that it may be combined with.
// |
// +----------------------------------------------------------------------+
// | Contributors:
// | http://www.anuko.com/time_tracker/credits.htm
// +----------------------------------------------------------------------+

  require_once('initialize.php');
  import('form.Form');
import('ttUserHelper');

  if (!isTrue(MULTITEAM_MODE) || $auth->isPasswordExternal()) {
    header("Location: login.php");
  }

  $auth->doLogout();

  if ($request->getMethod()=="POST") {
    $cl_name  = $request->getParameter('name');
    $cl_name  = trim($cl_name);
    $cl_login  = $request->getParameter('login');
    $cl_login  = trim($cl_login);
    $cl_password1  = $request->getParameter('pas1');
    $cl_password2  = $request->getParameter('pas2');
    $cl_email = $request->getParameter('email');
    $cl_team = $request->getParameter('team');
    $cl_currency = $request->getParameter('curr');
    if (!$cl_currency) $cl_currency = 'US$';
  } else {
    $cl_currency = 'US$';
    $cl_email = '';
  }

  $form = new Form('profileForm');
  $form->addInput(array("type"=>"text","maxlength"=>"100","name"=>"name","value"=>@$cl_name));
  $form->addInput(array("type"=>"text","maxlength"=>"100","name"=>"login","value"=>@$cl_login));
  $form->addInput(array("type"=>"text","maxlength"=>"30","name"=>"pas1","aspassword"=>true,"value"=>@$cl_password1));
  $form->addInput(array("type"=>"text","maxlength"=>"30","name"=>"pas2","aspassword"=>true,"value"=>@$cl_password2));
  $form->addInput(array("type"=>"text","maxlength"=>"100","name"=>"email","value"=>$cl_email));
  $form->addInput(array("type"=>"text","maxlength"=>"200","name"=>"team","value"=>@$cl_team));
  $form->addInput(array("type"=>"text","maxlength"=>"10","name"=>"curr","value"=>@$cl_currency));
  $form->addInput(array("type"=>"submit","name"=>"btsubmit","value"=>$i18n->getKey('button.submit')));

  if ($request->getMethod()=="POST") {
    import('form.check.Validator');

    $validator = new Validator($cl_name);
    $validator->validateString();
    if (!$validator->isValid()) {
      $errors->add($i18n->getKey('error.field'), $i18n->getKey('label.manager_name'));
    }

    $validator = new Validator($cl_login);
    $validator->validateString();
    if (!$validator->isValid()) {
      $errors->add($i18n->getKey('error.field'), $i18n->getKey('label.manager_login'));
    }

    $validator = new Validator($cl_password1);
    $validator->validateEmptyString();
    if (!$validator->isValid()) {
      $errors->add($i18n->getKey('error.field'), $i18n->getKey('label.password'));
    } elseif (!($cl_password1 === $cl_password2))
      $errors->add($i18n->getKey('error.not_equal'), $i18n->getKey('label.password'), $i18n->getKey('label.confirm_password'));

    if (!empty($cl_email)) {
      $validator = new Validator($cl_email);
      $validator->validateEmail();
      if (!$validator->isValid()) {
        $errors->add($i18n->getKey('error.field'), $i18n->getKey('label.email'));
      }
    } else {
      $cl_email = '';
    }

    if ($errors->isEmpty())
    if (!ttUserHelper::getUserByLogin($cl_login)) {
      // Create a new team.
      $team_id = ttTeamHelper::insert(array('name'=>$cl_team,'currency'=>$cl_currency));
      if ($team_id) {
      	// Team created, now create a team manager.
      	$role = ROLE_MANAGER;
      	$user_id = ttUserHelper::insert(array(
      	  'team_id' => $team_id,
      	  'role' => $role,
          'name' => $cl_name,
          'login' => $cl_login,
          'password' => $cl_password1,
      	  'email' => $cl_email));
      }
      if ($team_id && $user_id) {
        if ($auth->doLogin($cl_login, $cl_password1)) {
          setcookie('tt_login', $cl_login, time() + COOKIE_EXPIRE, '/');
          header('Location: time.php');
        } else {
          header('Location: login.php');
        }
        exit();
      } else {
        $errors->add($i18n->getKey('error.db'));
      }
    } else {
      $errors->add($i18n->getKey('error.user_exists'));
    }
  }

$smarty->assign('auth_external', $auth->isPasswordExternal());
$smarty->assign('title', $i18n->getKey('title.create_team'));
$smarty->assign('forms', array($form->getName()=>$form->toArray()));
$smarty->assign('onload', "onLoad = \"document.profileForm.team.focus()\"");
$smarty->assign('content_page_name', 'profile_new.tpl');
$smarty->display('index.tpl');
?>